<?php header("Content-Type: text/html; charset=UTF-8"); ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de" lang="de">
<head>
<title>PGRHeiseRegister</title>
  <meta name="Description" content="PGR Heise Register (PHP-Frontend für Heises reg.pl)" />
  <meta name="author" content="Patrick Grochowy" />
  <meta name="Content-Language" content="de" />
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css">
  <!--
  body {
     padding: 0 20px;
     font-family: verdana, arial, helevtica, sans-serif;
     font-size: 0.9em;
  }
  div.help {
     max-width: 260px;
     max-height: 20px;
     margin: 10px 0;
     padding: 10px;
     background-color: #ffe;
     border: 1px solid #aaa;
     overflow: hidden;
     border-radius: 10px;
     -moz-border-radius: 10px;
     -webkit-border-radius: 10px;
     box-shadow: 2px 2px 5px #ccc;
     -moz-box-shadow: 2px 2px 5px #ccc;
     -webkit-box-shadow: 2px 2px 5px #ccc;
  }
  div.help:hover {
     min-width: 750px;
     min-height: 450px;
  }
  div.help p {
     margin-top: 0;
  }
  pre.help {
     max-width: 750px;
     font-size: smaller;
     color: #00a;
  }
  #searchform {
     margin-bottom: 10px;
     border-collapse: collapse;
     border: 1px solid #aaa;
  }
  #searchform td {
     vertical-align: top;
   padding: 2px;
     border: 1px solid #aaa;
  }
  pre.result {
     color: #060;
  }
  -->
</style>
</head>
<body>
<h1>PGR Heise Register</h1>
<p>PHP-Frontend zum Heise Register (Perl) <b>reg.pl</b>.<br />
Das Heise Register als Perlscript und die dafür nötigen Daten (Gunddatenbestand) gibt es bei:<br />
<a href="http://www.heise.de/ct/Heise-Register-5464.html" target="_blank">http://www.heise.de/ct/Heise-Register-5464.html</a>
zum herunterladen.
</p>

<p>Stand der Daten ('stand.txt' aus der 'register.zip'): <b><?php echo file_get_contents("stand.txt"); ?></b></p>

<div class="help">
  <p><b>Hilfe</b> (Ausgabe von <b><i>perl reg.pl -h</i></b>):</p>
  <pre class="help">
  <?php passthru("perl reg.pl -h"); ?>
  </pre>
</div>

<?php
if(!$_GET['check']){$check = " -check off";} else {$check = " -check " . $_GET['check'];}
if(!$_GET['dup']){$dup = " -dup off";} else {$dup = " -dup " . $_GET['dup'];}
if(!$_GET['iso']){$iso = " -iso on";} else {$iso = " -iso " . $_GET['iso'];}
if(!$_GET['dos']){$dos = " -dos on";} else {$dos = " -dos " . $_GET['dos'];}
if(!$_GET['ign']){$ign = " -ign on";} else {$ign = " -ign " . $_GET['ign'];}
if(!$_GET['phon']){$phon = " -phon on";} else {$phon = " -phon " . $_GET['phon'];}
if(!$_GET['re']){$re = " -re on";} else {$re = " -re " . $_GET['re'];}
if(!$_GET['db']){$db = " -db 1";} else {$db = " -db " . $_GET['db'];}
?>

<form name="regparams" id="regparams_form" action="" method="get">
<table id="searchform">
<tr>
  <td><strong>Suchbegriff:&nbsp;</strong></td>
  <td colspan="7"><input name="searchstring" type="text" size="74" <?php if($_GET['searchstring']) echo "value=\"" . $_GET['searchstring'] . "\"" ?> /></td>
  <td><input type="submit" value="Suchen" /></td>
</tr>
<tr>
  <td></td>
  <td>
    <b>-check</b><br />
    <input type="radio" name="check" value="on" <?php if($_GET['check'] == 'on') echo "checked=\"checked\"" ?>/>On<br />
    <input type="radio" name="check" value="off" <?php if($_GET['check'] == 'off' || !$_GET['check']) echo "checked=\"checked\"" ?>/>Off
  </td>
  <td>
    <b>-dup</b><br />
    <input type="radio" name="dup" value="on" <?php if($_GET['dup'] == 'on') echo "checked=\"checked\"" ?>/>On<br />
    <input type="radio" name="dup" value="off" <?php if($_GET['dup'] == 'off' || !$_GET['dup']) echo "checked=\"checked\"" ?>/>Off
  </td>
  <td>
    <b>-iso</b><br />
    <input type="radio" name="iso" value="on" <?php if($_GET['iso'] == 'on' || !$_GET['iso']) echo "checked=\"checked\"" ?>/>On<br />
    <input type="radio" name="iso" value="off" <?php if($_GET['iso'] == 'off') echo "checked=\"checked\"" ?>/>Off
  </td>
  <td>
    <b>-dos</b><br />
    <input type="radio" name="dos" value="on" <?php if($_GET['dos'] == 'on') echo "checked=\"checked\"" ?>/>On<br />
    <input type="radio" name="dos" value="off" <?php if($_GET['dos'] == 'off' || !$_GET['dos']) echo "checked=\"checked\"" ?>/>Off
  </td>
  <td>
    <b>-ign</b><br />
    <input type="radio" name="ign" value="on" <?php if($_GET['ign'] == 'on') echo "checked=\"checked\"" ?>/>On<br />
    <input type="radio" name="ign" value="off" <?php if($_GET['ign'] == 'off' || !$_GET['ign']) echo "checked=\"checked\"" ?>/>Off
  </td>
  <td>
    <b>-phon</b><br />
    <input type="radio" name="phon" value="on" <?php if($_GET['phon'] == 'on') echo "checked=\"checked\"" ?>/>On<br />
    <input type="radio" name="phon" value="off" <?php if($_GET['phon'] == 'off' || !$_GET['phon']) echo "checked=\"checked\"" ?>/>Off
  </td>
  <td>
    <b>-re</b><br />
    <input type="radio" name="re" value="on" <?php if($_GET['re'] == 'on') echo "checked=\"checked\"" ?>/>On<br />
    <input type="radio" name="re" value="off" <?php if($_GET['re'] == 'off' || !$_GET['re']) echo "checked=\"checked\"" ?>/>Off
  </td>
  <td>
    <b>-db</b><br />
    <input type="radio" name="db" value="1" <?php if($_GET['db'] == 1 || !$_GET['db']) echo "checked=\"checked\"" ?>/>1<br />
    <input type="radio" name="db" value="2" <?php if($_GET['db'] == 2) echo "checked=\"checked\"" ?>/>2<br />
    <input type="radio" name="db" value="3" <?php if($_GET['db'] == 3) echo "checked=\"checked\"" ?>/>3<br />
    <input type="radio" name="db" value="4" <?php if($_GET['db'] == 4) echo "checked=\"checked\"" ?>/>4
  </td>
</tr>
</table>
</form>

<pre class="result">
<?php
if($_GET['searchstring']) {
  passthru(str_replace('\|', '|', escapeshellcmd("perl reg.pl -f Inhalt.frm" . $check . $dup . $iso . $dos . $ign . $phon . $re . $db . " \"" . $_GET['searchstring'] . "\"")));
}
?>
</pre>

<div>
  <p>Erdacht, programmiert und bereitgestellt von<br />
  <a href="http://www.grochowy.de/" target="_blank">PGR - Kommunikationsdesign - Patrick Grochowy</a></p>
</div>
</body>
</html>
